<app-base-layout [enableMobileHeader]="true" title="Profile Information" [enableDeskTopHeader] ="true" [enableDeskTopHeaderAction]="true">
  <div class="container">
    <div class="profile-wrapper">
      <div class="persional-details">
        <div class="header d-none">
          <span class="pb-3">Personal details</span>
        </div>
        <div class="separator" style="width: 100%; height: 10px"></div>
        <app-user-info-dropdown></app-user-info-dropdown>
        <div class="separator" style="width: 100%; height: 10px"></div>

        <div class="card">
          <div class="card-body">
            <div class="row">
              <div class="col-12 col-lg-4 pb-3 pb-lg-4">
                <span class="heading m-0">Full name (as in PAN)</span>
                <span class="text">{{userData.name}}</span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4 d-none">
                <span class="heading">Date of birth</span>
                <span class="text"></span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4 d-none">
                <span class="heading">Gender</span>
                <span class="text">NA</span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4 d-none">
                <span class="heading">Martial status</span>
                <span class="text">-</span>
              </div>
              <!--  -->
              <div class="col-6 col-lg-3 pb-3 pb-lg-4 d-none">
                <span class="heading">PAN</span>
                <span class="text">-</span>
              </div>
              <div class="col-12 col-lg-4 pb-3 pb-lg-4">
                <span class="heading m-0">Mobile</span>
                <span class="text">{{userData.mobile_no}}
                  <button class="btn btn-link"  (click)="openUpdateMobilePopup(updateMobileNoModal);">Update mobile</button>
                  </span>
                
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4 d-none">
                <span class="heading">Resident status</span>
                <span class="text">Resident Indian</span>
              </div>
              <div class="col-12 col-lg-4 pb-3 pb-lg-4">
                <span class="heading m-0">Email</span>
                <span class="text">{{userData.email_id}}</span>
              </div>
            </div>
          </div>
        </div>
      </div>

      <!--  -->
      <br />
      <br />
      <div class="other-details d-none">
        <div class="header">
          <span class="pb-3">Other Details</span>
        </div>
        <div class="card">
          <div class="card-body">
            <div class="row">
              <div class="col-6 col-lg-3 pb-3 pb-lg-4">
                <span class="heading">Birth country</span>
                <span class="text">NA</span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4">
                <span class="heading">Date of birth</span>
                <span class="text">-</span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4">
                <span class="heading">Gender</span>
                <span class="text">NA</span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4">
                <span class="heading">Occupation</span>
                <span class="text">-</span>
              </div>
              <!--  -->
              <div class="col-6 col-lg-3 pb-3 pb-lg-4">
                <span class="heading">Income slab</span>
                <span class="text">-</span>
              </div>
              <div class="col-6 col-lg-3 pb-3 pb-lg-4">
                <span class="heading">Tax residency</span>
                <span class="text">-</span>
              </div>
            </div>
          </div>
        </div>
      </div>
      <br>
      <br>
      <div class="row d-none">
        <div class="col-12 col-lg-6 pb-3 pb-lg-0 address">
          <div class="header">
            <span class="pb-3">Address</span>
          </div>
          <div class="card">
            <div class="card-body">
              Address line 1, Address line 2 City ,State, Pincode.
            </div>
          </div>
        </div>
        <div class="col-12 col-lg-6 pb-3 pb-lg-0 document">
          <div class="header">
            <span class="pb-3">Document</span>
          </div>
          <div class="card ">
            <div class="card-body"><span><img src="assets/icons/ic_check_circle_24px.svg"></span>PAN card uploaded</div>
          </div>
          <div class="card">
            <div class="card-body"><span><img src="assets/icons/ic_check_circle_24px.svg"></span>PAN card uploaded</div>
          </div>
        </div>
      </div>
      <!-- make changes -->
           <div class="row text-center connect-us">
        <div class="col-12">
          To make any changes, connect us at <br>
          <a >support@dollarbull.com</a>
        </div>
      </div>
    </div>
  </div>

  <ng-template #updateMobileNoModal let-c="close" let-d="dismiss">
    <form [formGroup]="updateMobileNoForm">
      <div class="updateMobileNoModal">
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Update mobile no.</h4>
      </div>
      <div class="modal-body">
       <div class="row need-help" style="min-height:100%">
        <div class="col-12 col-lg-12">
          <input type="number" formControlName="mobile_no"  placeholder="Enter 10 digit mobile no." class="inp text-uppercase">
          <div class="error-msg" >
            <i *ngIf="(updateMobileNoForm.controls['mobile_no'].errors)  && 
                      (updateMobileNoForm.controls['mobile_no'].touched)">
              Enter valid mobile no.
            </i>
          </div>
        </div>
       </div>
      </div>
      <div class="modal-footer">
        <button class="btn btn-link" (click)="cancelPopup();">Cancel</button>
        <button type="submit" class="btn btn-link" [disabled]="this.updateMobileNoForm.valid? null : true" (click)="updateMobileNoFormSubmit();">Confirm</button>
      </div>
    </div>
  </form>
  </ng-template>

  
</app-base-layout>
